package com.zyh.system.mapper;

import com.zyh.common.domain.Building;
import com.zyh.common.domain.Households;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BuildMapper {
    Integer addBuild(Building building);

    void addHouse(Households households);

    String selectBuildId(@Param("buildId") String buildId);

    List<Building> getBuild();

    List<Households> getHouse(@Param("buildId") String buildId, @Param("unit") Integer unit);

    Integer deleteHouse(@Param("id") Integer id);

    Integer updateHouse(Households households);
}
